'use server'
import { Box, SimpleGrid } from "@chakra-ui/react";
import Attendance from "./components/attendance";
import Location from "./components/location";
import Location2 from "./components/location2";
import { SearchParamProps } from "@/types/searchParams";
import ProjectsGrid from "./components/projectsGrid";

export default async function Dashboard({ searchParams }: SearchParamProps) {

  return (
    <>
      <Box pt={{ base: "130px", md: "80px", xl: "80px" }}>
        {searchParams && searchParams.projects ? (
          <ProjectsGrid />
        ) : (
          <>
            <SimpleGrid columns={{ base: 1, md: 2, lg: 3, "2xl": 6 }} gap="20px" mb="20px">
              <Attendance />
            </SimpleGrid>
            {/* for futer use leaf leat map */}
            {/* <Location2 /> */}
            <Location />
          </>
        )}
      </Box>
    </>
  );
}
